## sa-exim 4.1

=== Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 	@cat sa-exim.conf | grep -v "^#" | tr '\012' '' | sed "s/*//g" | tr '' '\012' >> sa-exim_short.conf
 
 sa-exim.h: sa-exim.c version
-	echo "char *version=\"`cat version` (built `date -R`)\";" > sa-exim.h
+	echo "char *version=\"`cat version` (built `date -R 2>/dev/null || date`)\";" > sa-exim.h
 
 clean:	
 	@-rm -rf $(OBJECTS) $(DOCS) $(OTHERTARGETS) build-stamp configure-stamp debian/sa-exim debian/sa-exim.postrm.debhelper debian/sa-exim.substvars debian/files 2>/dev/null
