## sa-exim 4.2

=== Makefile ===
--- 
+++ 
@@ -71,6 +71,7 @@
 deb:	../sa-exim_$(VERSION).orig.tar.gz debian/*
 	@make clean
 	@dpkg-buildpackage -uc -us -sd -rfakeroot
+	@make clean
 
 ../sa-exim_$(VERSION).orig.tar.gz: * */*
 	@make clean
