## sa-exim 4.2.1

=== Makefile ===
--- 
+++ 
@@ -48,11 +48,11 @@
 
 ACKNOWLEDGEMENTS: Acknowledgements.html
 	@echo "Generating $@"
-	@lynx -dump -nolist $< > $@
+	@links -dump $< > $@
 
 CHANGELOG: Changelog.html
 	@echo "Generating $@"
-	@lynx -dump -nolist $< > $@
+	@links -dump $< > $@
 
 sa.html: Changelog.html Acknowledgements.html sa.html.template
 	@echo "Generating $@"
