=== debian/changelog ===
sa-exim (4.2.1-22) unstable; urgency=low

  * Convert to git/gbp and move packaging repository to salsa.debian.org.
  * Convert to dh and use debhelper-compat dependency instead of
    debian/compat (Closes: #876753).
  * Pass SUFF='' also to make clean (Closes: #1045701).
  * Correct Lintian override for accept.so.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 15 Feb 2025 23:46:46 +0100

sa-exim (4.2.1-21) unstable; urgency=medium

  * localscan-6.0.patch: Update call to smtp_printf() to work with newer
    API (Closes: #1075485, #1020390).
  * printf-warnings.patch: Eliminate most compiler warnings (Closes:
    #943570).

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 12 Jan 2025 21:08:30 +0100

sa-exim (4.2.1-20) unstable; urgency=medium

  * Rebuild against current exim4 (Closes: #981398).
  * Upgrade to Debhelper compat level 12.
  * Bump Standards-Version to 4.5.1.
  * encoding.patch: Change a single letter in Acknowledgements.html from
    Latin-1 to UTF-8 and add a charset meta tag to sa.html.
  * Leave out redundant Acknowledgements.html from binary package.
  * Add Lintian override for accept.so missing dependency information
    (it's a dummy local_scan plugin that has no dependencies). Drop unused
    virtual-package-depends-without-real-package-depends override.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 13 Feb 2021 18:57:42 +0100

sa-exim (4.2.1-19) unstable; urgency=medium

  * no_eval.patch: [CVE-2019-19920] Manually parse option string in
    Greylisting plugin, avoiding use of eval() (Closes: #946829, #947198).
  * Bump Standards-Version to 4.5.0.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 08 Feb 2020 22:53:50 +0100

sa-exim (4.2.1-18) unstable; urgency=medium

  * Build with -DLOCAL_SCAN.
  * sprintf_no_format_string.patch: With exim 4.93, string_sprintf()
    requires at least two arguments (Closes: #943571). Thanks to Andreas
    Metzler.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 23 Nov 2019 22:40:24 +0100

sa-exim (4.2.1-17) unstable; urgency=medium

  * remove-header-crs.patch (new): Strip out carriage returns from header
    lines returned by spamd when the spool file is in wire format
    (Probably closes: #879687; it's a bit unclear what the bug is about).
  * api-limitation.patch: Do expansion of $primary_hostname on every call;
    for some reason, it were getting overwritten between calls despite
    using the permanent memory pool in accordance with Exim documentation.
    Also start using body_linecount again since it's now part of the API,
    but don't update it when it's zero, indicating that the spool file is
    in wire format.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 08 May 2019 23:11:16 +0200

sa-exim (4.2.1-16) unstable; urgency=low

  * reproducible-build.patch: Make ACKNOWLEDGEMENTS always UTF-8 encoded
    rather than depending on the environment.

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 02 Aug 2016 23:08:31 +0200

sa-exim (4.2.1-15) unstable; urgency=low

  * reproducible-build.patch (new): Make build reproducible by replacing
    the build date with the source date via ${SOURCE_DATE_EPOCH} when
    available (Closes: #831649).  Thanks to Chris Lamb.
  * greylisting-ipv6.patch (new): Finally add IPv6 support to the
    greylisting plugin (Closes: #508161). Replaces grey-only-ipv4.patch.
    Based on Robert Tasarz's patch, though I decided to do things a little
    differently by keeping the greylistfourthbyte option for backwards
    compatibility and not adding separate options for IPv4 and IPv6 at
    this time. Also, with that option enabled, there will only be one
    directory level for all the last 64 bits of an IPv6 address.
  * delete-ext-html-references.patch (new): sa.html, which is shipped in
    the doc directory, is a copy of the author's webpage on sa-exim from
    his website, but without the images or linked pages, which means that
    most of the images and links don't work, except the SourceForge logo,
    which was fetched from sourceforge.net, causing a privacy concern. We
    drop the images and make the non-absolute links relative to
    http://marc.merlins.org/linux/exim/.
  * postinst, postrm: Remove hard-coded path to invoke-rc.d.
  * postrm: On purge, always delete the greylisting tuplets directory
    first. Normally, /var/spool/sa-exim is then empty and can be removed
    without asking the user, avoiding leaving unowned files (Closes:
    #657140).
  * greylist-lint.patch: disable greylisting plugin during spamassassin
    --lint to avoid warnings about missing headers (Closes: #760860).
    Thanks to Chaskiel Grundman.
  * Use dpkg-buildflags.
  * Bump Standards-Version to 3.9.8.
  * Override Lintian warning about virtual exim4-localscanapi dependency
    regardless of API version.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 22 Jul 2016 11:26:45 +0200

sa-exim (4.2.1-14) unstable; urgency=low

  * Updated Danish and Dutch Debconf template translations (Closes:
    #608447, #634314).
  * Drop the defaults for SAspamcHost and SAspamcPort, deferring to spamc
    as to what the defaults will be if those options are not set in
    sa-exim.conf (Closes: #506571).
  * The "nobody" user and "nogroup" group should not own files. Therefore,
    create /var/spool/sa-exim/tuplets with Debian-exim as owner on new
    installations and run greylistclean as Debian-exim by default. Don't
    change ownership of already existing /var/spool/sa-exim or
    /var/spool/sa-exim/tuplets, since the local admin may have different
    preferences, but give the Debian-exim group the write permission it
    needs if /var/spool/sa-exim/tuplets is owned by "nobody" and spamd
    runs as the calling user (Closes: #563492). Add documentation to
    README.Debian and remove recommendation to run spamd as "nobody" from
    README and README.greylisting.
  * Some tidying of debian/rules and the packaging in general:
    * Add build-arch and build-indep targets.

