=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- BUILDCFLAGS='-DLOCAL_SCAN -I/usr/include/exim4 -fPIC $$(CPPFLAGS) $$(CFLAGS)' \
	  CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='-shared $(LDFLAGS)' SUFF=''

override_dh_auto_clean:
	dh_auto_clean -- SUFF=''

override_dh_installcron:
	dh_installcron --name=greylistclean

override_dh_installchangelogs:
	dh_installchangelogs Changelog.html

override_dh_shlibdeps:
	dh_shlibdeps
	echo "exim:Depends=exim4-localscanapi-`exim4-localscan-plugin-config --localscan-apiversion`" \
	   >> debian/sa-exim.substvars
